GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::network::ULEvent Class Reference

ULEvent base class for network events. More...

`#include <gdcmULEvent.h>`

List of all members.

## Public Member Functions

| ULEvent (const EEventID &inEventID, std::vector< BasePDU * > inBasePDU)
| ULEvent (const EEventID &inEventID, BasePDU *inBasePDU)
| ~ULEvent ()
EEventID | GetEvent () const
std::vector< BasePDU * > | GetPDUs () const
void | SetEvent (const EEventID &inEvent)
void | SetPDU (std::vector< BasePDU * > inPDU)

## Detailed Description

ULEvent base class for network events.

An event consists of the event ID and the data associated with that event.

Note that once a PDU is created, it is now the responsibility of the associated event to destroy it!

## Constructor & Destructor Documentation

gdcm::network::ULEvent::ULEvent | ( | const EEventID & | inEventID,
|  | std::vector< BasePDU * > | inBasePDU
| ) |  | `[inline]`

gdcm::network::ULEvent::ULEvent | ( | const EEventID & | inEventID,
|  | BasePDU * | inBasePDU
| ) |  | `[inline]`

gdcm::network::ULEvent::~ULEvent | ( |  | ) | `[inline]`

## Member Function Documentation

EEventID gdcm::network::ULEvent::GetEvent | ( |  | ) | const`[inline]`

std::vector<BasePDU*> gdcm::network::ULEvent::GetPDUs | ( |  | ) | const`[inline]`

void gdcm::network::ULEvent::SetEvent | ( | const EEventID & | inEvent | ) | `[inline]`

void gdcm::network::ULEvent::SetPDU | ( | std::vector< BasePDU * > | inPDU | ) | `[inline]`

The documentation for this class was generated from the following file:

- gdcmULEvent.h